#!/bin/sh
PWD=`pwd`/mnt
echo "размонтируем dev sys proc" 
umount $PWD/{dev,sys,proc}
umount $PWD/
echo "монтируем ext3fs.img"
mount sys/LiveOS/ext3fs.img $PWD
echo "монтируем dev sys proc копируем resolv.conf"
mount --bind /dev $PWD/dev
mount --bind /sys $PWD/sys
mount --bind /proc $PWD/proc
rm -f $PWD/etc/resolv.conf
cp /etc/resolv.conf $PWD/etc/resolv.conf
##################
chroot $PWD/ << EOF
echo "готовим initrd"
touch /etc/dracut.conf.d/tmplive.conf
echo 'hostonly="no"' > /etc/dracut.conf.d/tmplive.conf
echo 'add_dracutmodules+=" dmsquash-live pollcdrom "' >> /etc/dracut.conf.d/tmplive.conf
echo 'omit_dracutmodules+=" union-mount "' >> /etc/dracut.conf.d/tmplive.conf
dracut -fv /boot/initrd-4.9.124-nrj-desktop-1rosa-x86_64.img 4.9.124-nrj-desktop-1rosa-x86_64
echo обновляем grub2
update-grub2
EOF
##################
echo "копируем ядро в isolinux"
cp $PWD/boot/vmlinuz* cd/isolinux/vmlinuz0
cp $PWD/boot/initrd* cd/isolinux/initrd0.img
cp $PWD/boot/grub2/grub.cfg cd/EFI/BOOT/grub.cfg
echo "востанавливаем ядро системы"
##################
chroot $PWD/ << EOF
rm -f /etc/dracut.conf.d/tmplive.conf
dracut -fv /boot/initrd-4.9.124-nrj-desktop-1rosa-x86_64.img 4.9.124-nrj-desktop-2rosa-x86_64
echo обновляем grub2
update-grub2
##################
echo "удаляем временные файлы"
urpme --auto --auto-orphans
rm -rf /tmp/*
rm -f /var/cache/urpmi/rpms/*
echo "создаем файл rpm.lst"
rpm -qa | sort > /rpm.lst
date -R >> /rpm.lst
##################
echo удаляем историю
cp -f /dev/null /root/.bash_history
cp -f /dev/null /home/live/.bash_history 
EOF
echo "копируем rpm.list в CD" 
cp $PWD/rpm.lst cd/
echo "размонтируем dev sys proc" 
umount $PWD/{dev,sys,proc}
umount $PWD/
echo "Готово"
