#!/bin/sh
PWD=`pwd`/mnt
echo "размонтируем dev sys proc" 
umount $PWD/{dev,sys,proc}
umount $PWD/
echo "монтируем ext3fs.img"
mount sys/LiveOS/ext3fs.img $PWD
echo "очищаем свободное место"
cp /dev/zero mnt/free_space 2> /dev/null
rm mnt/free_space
umount $PWD
echo "удаляем squashfs.img"
CD=cd/LiveOS/squashfs.img
rm $CD
echo "создаем новый squashfs.img"
mksquashfs sys $CD
echo "создаем новый iso"
xorriso -as mkisofs \
-isohybrid-mbr /usr/share/syslinux/isohdpfx.bin \
-c isolinux/boot.cat \
-b isolinux/isolinux.bin \
-no-emul-boot \
-boot-load-size 4 \
-boot-info-table \
-eltorito-alt-boot \
-e isolinux/efiboot.img \
-no-emul-boot \
-isohybrid-gpt-basdat \
-V ROSA.FRESH.MATE.R10.x86_64 \
-o ROSA.FRESH.MATE.R10.x86_64.iso \
cd
chown mate:mate *.iso
echo готово!
