#!/bin/sh
PWD=`pwd`/mnt
echo "размонтируем dev sys proc" 
umount $PWD/{dev,sys,proc}
umount $PWD/
echo "монтируем ext3fs.img"
mount sys/LiveOS/ext3fs.img $PWD
echo "монтируем dev sys proc копируем resolv.conf" 
mount --bind /dev $PWD/dev
mount --bind /sys $PWD/sys
mount --bind /proc $PWD/proc
rm -f $PWD/etc/resolv.conf
cp /etc/resolv.conf $PWD/etc/resolv.conf
chroot $PWD/ << EOF 
##################
echo "Отключаем чрезмерные циклы записи при установке пакетов"
echo 'export PKGSYSTEM_ENABLE_FSYNC=0' > /etc/profile.d/update-mime-database.sh
echo '%__nofsync nofsync' >> /etc/rpm/macros
##################
echo "Адаптируем конфигурацию PulseAudio"
echo '# Byt/Cht' >> /etc/pulse/daemon.conf
echo 'realtime-scheduling = no' >> /etc/pulse/daemon.conf
echo '#sample rate supported by hardware: check "pactl list sinks" output)' >> /etc/pulse/daemon.conf
echo 'default-sample-rate = 48000' >> /etc/pulse/daemon.conf
echo 'resample-method = speex-float-1' >> /etc/pulse/daemon.conf
##################
echo "cups установка по умолчанию А4"
sed -i -e '1 s/^/DefaultPaperSize A4\n/;' /etc/cups/cupsd.conf
##################
#echo "Удалим файлы"
urpme --auto `tr -s '\n' ' '<<EOF1
myspell-nl_NL         
EOF1`
##################
echo "Удаляем зависимости"
urpme --auto --auto-orphans 
##################
echo "Стандартный репозиторий"
#urpm-reposync
##################
echo "Обновляем систему"
urpmi --auto --auto-update
##################
#echo "Установим файлы"
urpmi --auto `tr -s '\n' ' '<<EOF2
sane-firmware
EOF2`
##################
urpme --auto --auto-orphans 
echo "удаляем временные файлы"
rm -rf /tmp/*
rm -f /var/cache/urpmi/rpms/*
echo "создаем файл rpm.list"
rpm -qa | sort > /rpm.lst
date -R >> /rpm.lst
##################
echo "удаляем историю"
cp -f /dev/null /root/.bash_history
cp -f /dev/null /home/live/.bash_history 
##################
EOF
echo "копируем rpm.list в CD" 
cp $PWD/rpm.lst cd/
echo "размонтируем dev sys proc" 
umount $PWD/{dev,sys,proc}
umount $PWD/
echo "Готово"
